StorageSubSystemZoneMember (CMDB Model API)
Keywords: com.collation.platform.model.topology.storage.StorageSubSystemZoneMember interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.storage
Interface StorageSubSystemZoneMember

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, ZoneMember

    public interface StorageSubSystemZoneMember

extends ZoneMember

A ZoneMember that is a StorageSubSystem

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`StorageSubSystem` | `getStorageSubSystem()` A StorageSubSystem bound to the zone
`boolean` | `hasStorageSubSystem()`
`void` | `setStorageSubSystem(StorageSubSystem system)`

Methods inherited from interface com.collation.platform.model.topology.storage.ZoneMember
`getName, hasName, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getStorageSubSystem

    StorageSubSystem getStorageSubSystem()
                                         throws AttributeNotSetException

  A StorageSubSystem bound to the zone

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BindsTo" reverse="false"

### setStorageSubSystem

    void setStorageSubSystem(StorageSubSystem system)

### hasStorageSubSystem

    boolean hasStorageSubSystem()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD